apply plugin: 'com.android.library'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-kapt'
apply from: "../publish.gradle"

kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", "js")
    }
}
android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner 'androidx.test.runner.AndroidJUnitRunner'
        consumerProguardFiles "consumer-rules.pro"

        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [AROUTER_MODULE_NAME: "js"]
            }
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    dataBinding {
        enabled true
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {

    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation "com.alibaba:arouter-api:$arouter_api"
    kapt "com.alibaba:arouter-compiler:$arouter_compiler"

    // 时间选择器
    implementation 'com.contrarywind:Android-PickerView:4.1.9'

    api rootProject.ext.dependencies["ydl-user-router"]
    api project(':ydl-webview')
    api project(':ydl-platform')
    implementation project(':ydl-media')
    implementation project(":ydl-pay")
    implementation project(":api:im")
    implementation project(":api:user")
    implementation project(":api:consultant")
    implementation project(":api:confide")
    implementation project(":api:dynamic")
    implementation project(":api:tests")
    implementation project(":api:fm")
    implementation project(":api:course")
    implementation project(':api:muse')
    implementation project(':api:js')
    implementation project(':api:audioim')


}